// This file was autogenerated. Do not edit it manually.
## Device List
### ophyd_devices 
| Device | Documentation | Module |
| :----- | :------------- | :------ |
| SpmBase | Python wrapper for the Staggered Blade Pair Monitors<br><br>    SPM's consist of a set of four horizontal tungsten blades and are<br>    used to monitor the beam height (only Y) for the bending magnet<br>    beamlines of SLS.<br><br>    Note: EPICS provided signals are read only, but the users can<br>    change the beam position offset.<br>     | [ophyd_devices.devices.SpmBase](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/SpmBase.py) |
| SpmSim | Python wrapper for simulated Staggered Blade Pair Monitors<br><br>    SPM's consist of a set of four horizontal tungsten blades and are<br>    used to monitor the beam height (only Y) for the bending magnet<br>    beamlines of SLS.<br><br>    This simulation device extends the basic proxy with a script that<br>    fills signals with quasi-randomized values.<br>     | [ophyd_devices.devices.SpmBase](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/SpmBase.py) |
| XbpmBase | Python wrapper for X-ray Beam Position Monitors<br><br>    XBPM's consist of a metal-coated diamond window that ejects<br>    photoelectrons from the incoming X-ray beam. These electons<br>    are collected and their current is measured. Effectively<br>    they act as four quadrant photodiodes and are used as BPMs<br>    at the undulator beamlines of SLS.<br><br>    Note: EPICS provided signals are read only, but the user can<br>    change the beam position offset.<br>     | [ophyd_devices.devices.XbpmBase](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/XbpmBase.py) |
| XbpmCsaxsOp | Python wrapper for custom XBPMs in the cSAXS optics hutch<br><br>    This is  completely custom XBPM with templates directly in the<br>    VME repo. Thus it needs a custom ophyd template as well...<br><br>    WARN: The x and y are not updated by the IOC<br>     | [ophyd_devices.devices.XbpmBase](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/XbpmBase.py) |
| XbpmSim | Python wrapper for simulated X-ray Beam Position Monitors<br><br>    XBPM's consist of a metal-coated diamond window that ejects<br>    photoelectrons from the incoming X-ray beam. These electons<br>    are collected and their current is measured. Effectively<br>    they act as four quadrant photodiodes and are used as BPMs<br>    at the undulator beamlines of SLS.<br><br>    Note: EPICS provided signals are read only, but the user can<br>       change the beam position offset.<br><br>    This simulation device extends the basic proxy with a script that<br>    fills signals with quasi-randomized values.<br>     | [ophyd_devices.devices.XbpmBase](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/XbpmBase.py) |
| EpicsMotorEx | Extend EpicsMotor with extra configuration fields.<br>    motor_done_move<br>    motor_is_moving<br>     | [ophyd_devices.devices.epics_motor_ex](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/epics_motor_ex.py) |
| MonoDccm | Combined DCCM monochromator<br><br>    The first crystal selects the energy, the second one is only following.<br>    DCCMs are quite simple in terms that they can't crash and we don't<br>    have a beam offset.<br>    ATTENTION: 'angle' is in degrees, at least for PXIII<br>     | [ophyd_devices.devices.mono_dccm](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/mono_dccm.py) |
| MonoMotor | Monochromator axis<br><br>    Small wrapper to combine a real angular axis with the corresponding energy.<br>    ATTENTION: 'angle' is in degrees, at least for PXIII<br>     | [ophyd_devices.devices.mono_dccm](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/mono_dccm.py) |
| SlitH | Python wrapper for virtual slits<br><br>    These devices should be implemented as an EPICS SoftMotor IOC,<br>    but thats not the case for all slits. So here is a pure ophyd<br>    implementation. Uses standard naming convention!<br><br>    NOTE: The real and virtual axes are wrapped together.<br>     | [ophyd_devices.devices.slits](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/slits.py) |
| SlitV | Python wrapper for virtual slits<br><br>    These devices should be implemented as an EPICS SoftMotor IOC,<br>    but thats not the case for all slits. So here is a pure ophyd<br>    implementation. Uses standard naming convention!<br><br>    NOTE: The real and virtual axes are wrapped together.<br>     | [ophyd_devices.devices.slits](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/slits.py) |
| SLSDetector |  | [ophyd_devices.devices.sls_detector](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/sls_detector.py) |
| SLSDetectorCam |  | [ophyd_devices.devices.sls_detector](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/sls_detector.py) |
| SLSInfo |  | [ophyd_devices.devices.sls_devices](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/sls_devices.py) |
| SLSOperatorMessages |  | [ophyd_devices.devices.sls_devices](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/sls_devices.py) |
| Bpm4i |  | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| GirderMotorPITCH | Girder YAW pseudo motor | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| GirderMotorROLL | Girder ROLL pseudo motor | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| GirderMotorX1 | Girder X translation pseudo motor | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| GirderMotorY1 | Girder Y translation pseudo motor | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| GirderMotorYAW | Girder YAW pseudo motor | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| PmDetectorRotation | Detector rotation pseudo motor<br><br>    Small wrapper to convert detector pusher position to rotation angle.<br>     | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
| PmMonoBender | Monochromator bender<br><br>    Small wrapper to combine the four monochromator bender motors.<br>     | [ophyd_devices.devices.specMotors](https://gitlab.psi.ch/bec/ophyd_devices/-/blob/main/ophyd_devices/devices/specMotors.py) |
